AIGameSettingControls.House = class extends AIGameSettingControlInt
{
	constructor(...args)
	{
		super(...args);
		this.defaultValue = 250;
		g_GameSettings.playerAI.watch(() => this.render(), ["values"]);
	}

	onOpenPage(playerIndex, enabled)
	{
		super.onOpenPage(playerIndex, enabled);
		this.render();
	}

	render()
	{
		const ai = g_GameSettings.playerAI.get(this.playerIndex);
		this.setHidden(!ai);
		if (ai)
		{
			const value = ai.priorities?.house ?? this.defaultValue;
			this.setIntValue(value);
		}
	}

	onValueChange(value)
	{
		const ai = g_GameSettings.playerAI.get(this.playerIndex);
		const priorities = ai && ai.priorities ? { ...ai.priorities, "house": value } : { "house": value };
		g_GameSettings.playerAI.setPriorities(this.playerIndex, priorities);
		this.gameSettingsController.setNetworkInitAttributes();
	}
};

AIGameSettingControls.House.prototype.TitleCaption =
	translate("House");
